<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_CruiseChildServices StructType
 * @subpackage Structs
 */
class JP_CruiseChildServices extends AbstractStructBase
{
    /**
     * The Creche
     * @var bool
     */
    public $Creche;
    /**
     * The Ninzone
     * @var bool
     */
    public $Ninzone;
    /**
     * The Youthzone
     * @var bool
     */
    public $Youthzone;
    /**
     * The Ninpool
     * @var bool
     */
    public $Ninpool;
    /**
     * The Youthprogram
     * @var bool
     */
    public $Youthprogram;
    /**
     * Constructor method for JP_CruiseChildServices
     * @uses JP_CruiseChildServices::setCreche()
     * @uses JP_CruiseChildServices::setNinzone()
     * @uses JP_CruiseChildServices::setYouthzone()
     * @uses JP_CruiseChildServices::setNinpool()
     * @uses JP_CruiseChildServices::setYouthprogram()
     * @param bool $creche
     * @param bool $ninzone
     * @param bool $youthzone
     * @param bool $ninpool
     * @param bool $youthprogram
     */
    public function __construct($creche = null, $ninzone = null, $youthzone = null, $ninpool = null, $youthprogram = null)
    {
        $this
            ->setCreche($creche)
            ->setNinzone($ninzone)
            ->setYouthzone($youthzone)
            ->setNinpool($ninpool)
            ->setYouthprogram($youthprogram);
    }
    /**
     * Get Creche value
     * @return bool|null
     */
    public function getCreche()
    {
        return $this->Creche;
    }
    /**
     * Set Creche value
     * @param bool $creche
     * @return \StructType\JP_CruiseChildServices
     */
    public function setCreche($creche = null)
    {
        // validation for constraint: boolean
        if (!is_null($creche) && !is_bool($creche)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($creche)), __LINE__);
        }
        $this->Creche = $creche;
        return $this;
    }
    /**
     * Get Ninzone value
     * @return bool|null
     */
    public function getNinzone()
    {
        return $this->Ninzone;
    }
    /**
     * Set Ninzone value
     * @param bool $ninzone
     * @return \StructType\JP_CruiseChildServices
     */
    public function setNinzone($ninzone = null)
    {
        // validation for constraint: boolean
        if (!is_null($ninzone) && !is_bool($ninzone)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($ninzone)), __LINE__);
        }
        $this->Ninzone = $ninzone;
        return $this;
    }
    /**
     * Get Youthzone value
     * @return bool|null
     */
    public function getYouthzone()
    {
        return $this->Youthzone;
    }
    /**
     * Set Youthzone value
     * @param bool $youthzone
     * @return \StructType\JP_CruiseChildServices
     */
    public function setYouthzone($youthzone = null)
    {
        // validation for constraint: boolean
        if (!is_null($youthzone) && !is_bool($youthzone)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($youthzone)), __LINE__);
        }
        $this->Youthzone = $youthzone;
        return $this;
    }
    /**
     * Get Ninpool value
     * @return bool|null
     */
    public function getNinpool()
    {
        return $this->Ninpool;
    }
    /**
     * Set Ninpool value
     * @param bool $ninpool
     * @return \StructType\JP_CruiseChildServices
     */
    public function setNinpool($ninpool = null)
    {
        // validation for constraint: boolean
        if (!is_null($ninpool) && !is_bool($ninpool)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($ninpool)), __LINE__);
        }
        $this->Ninpool = $ninpool;
        return $this;
    }
    /**
     * Get Youthprogram value
     * @return bool|null
     */
    public function getYouthprogram()
    {
        return $this->Youthprogram;
    }
    /**
     * Set Youthprogram value
     * @param bool $youthprogram
     * @return \StructType\JP_CruiseChildServices
     */
    public function setYouthprogram($youthprogram = null)
    {
        // validation for constraint: boolean
        if (!is_null($youthprogram) && !is_bool($youthprogram)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($youthprogram)), __LINE__);
        }
        $this->Youthprogram = $youthprogram;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JP_CruiseChildServices
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
